Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7836/?format=api
{ "ob_id": 7836, "uuid": "4cadb26104b16c9a8201f4510ce31d4c", "title": "NCAVEO: Environment Agency CASI-3 data collected onboard an Environment Agency Cessna 404 Aircraft", "abstract": "This dataset compromises eight flight lines which were acquired on 17th June 2006 using an Itres Instruments Compact Airborne Spectrographic Imager (CASI-3) as part of the Network for Calibration and Validation of Earth Observation data (NCAVEO) 2006 Field Campaign. The instrument was onboard a Cessna 404 aircraft operated by the UK Environment Agency (EA) and was operated in hyperspectral mode, with 32 spectral bands and a nominal ground resolution of 1m. The Environment Agency identified a possible spectral shift problem in the CASI-3 instrument during June 2006. The problem was corrected but it is still unknown how much the spectral shift occurred during data collection for NCAVEO. The document ‘CASI3 Wavelength correction for NCAVEO.pdf’ in further documentation provides further details. EasGeo software is also stored in the EasGeo folder in the directory as easgeo.sav, as well as documentation with further details on the data. ", "keywords": "NCAVEO, CASI-3, CESSNA", "publicationState": "published", "dataPublishedTime": "2007-10-16T23:08:44", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7837/?format=api", "dataPath": "/neodc/ncaveo_field/data/Environment_Agency/CASI_data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12045359832, "numberOfFiles": 55, "fileFormat": "Radiometrically corrected images and pixel position maps are in HDR format. Navigation data is in ASCII format.\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2249/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5090/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32352/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32357/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32358/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32351/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32354/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32355/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32356/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32353/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7839/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }